package com.ydl.media.music


import com.ydl.media.music.model.Music

/**
 * Created by haorui on 2019-10-27 .
 * Des:播放进度监听器
 */
interface OnPlayerEventListener {

    /**
     * 切换歌曲
     */
    fun onChange(music: Music)

    /**
     * 继续播放
     */
    fun onPlayerStart()

    /**
     * 暂停播放
     */
    fun onPlayerPause()

    /**
     * 更新进度
     */
    fun onPublish(progress: Int)

    /**
     * 缓冲百分比
     */
    fun onBufferingUpdate(percent: Int)
}
